System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Drawing.Brush To be added

Each property of the class is a object that uses an image to fill the interior of a shape. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new object that uses the specified image.

  The object with which this object fills interiors.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object that uses the specified image and wrap mode.

  The object with which this object fills interiors.
  A enumeration that specifies how this object is tiled.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object that uses the specified image and bounding rectangle.

  The object with which this object fills interiors.
  A structure that represents the bounding rectangle for this object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object that uses the specified image and bounding rectangle.

  The object with which this object fills interiors.
  A structure that represents the bounding rectangle for this object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object that uses the specified image, wrap mode, and bounding rectangle.

  The object with which this object fills interiors.
  A enumeration that specifies how this object is tiled.
  A structure that represents the bounding rectangle for this object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object that uses the specified image, wrap mode, and bounding rectangle.

  The object with which this object fills interiors.
  A enumeration that specifies how this object is tiled.
  A structure that represents the bounding rectangle for this object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object that uses the specified image, bounding rectangle, and image attributes.

  The object with which this object fills interiors.
  A structure that represents the bounding rectangle for this object.
  An object that contains additional information about the image used by this object.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new object that uses the specified image, bounding rectangle, and image attributes.

  The object with which this object fills interiors.
  A structure that represents the bounding rectangle for this object.
  An object that contains additional information about the image used by this object.
  1.0.5000.0
  2.0.0.0
- Method
  System.Object To be added

  Creates an exact copy of this object.

  The object this method creates, cast as an object.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Image To be added: an object of type 'Image' To be added

  Gets the object associated with this object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The transformation matrix of a object specifies how the image that defines the texture is transformed. For example, if the transformation matrix specifies a rotation of 90 degrees clockwise, the texture image is rotated by 90 degrees clockwise.

  Multiplies the object that represents the local geometric transformation of this object by the specified object by prepending the specified object.

  This method does not return a value.

  The object by which to multiply the geometric transformation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The transformation matrix of a object specifies how the image that defines the texture is transformed. For example, if the transformation matrix specifies a rotation of 90 degrees clockwise, the texture image is rotated by 90 degrees clockwise.

  Multiplies the object that represents the local geometric transformation of this object by the specified object in the specified order.

  This method does not return a value.

  The object by which to multiply the geometric transformation. A enumeration that specifies the order in which to multiply the two matrices. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Resets the Transform property of this object to identity.

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Rotates the local geometric transformation of this object by the specified amount. This method prepends the rotation to the transformation.

  This method does not return a value.

  The angle of rotation. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Rotates the local geometric transformation of this object by the specified amount in the specified order.

  This method does not return a value.

  The angle of rotation. A enumeration that specifies whether to append or prepend the rotation matrix. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Scales the local geometric transformation of this object by the specified amounts. This method prepends the scaling matrix to the transformation.

  This method does not return a value.

  The amount by which to scale the transformation in the x direction. The amount by which to scale the transformation in the y direction. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Scales the local geometric transformation of this object by the specified amounts in the specified order.

  This method does not return a value.

  The amount by which to scale the transformation in the x direction. The amount by which to scale the transformation in the y direction. A enumeration that specifies whether to append or prepend the scaling matrix. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.Matrix To be added: an object of type 'Drawing2D.Matrix'

  A geometric transformation can be used to translate, scale, rotate, or skew the image that defines the texture of this brush. Because the matrix returned and by the property is a copy of the brush's geometric transform, you should dispose of the matrix when you no longer need it.

  Gets or sets a copy of the object that defines a local geometric transformation for the image associated with this object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added

  Translates the local geometric transformation of this object by the specified dimensions. This method prepends the translation to the transformation.

  This method does not return a value.

  The dimension by which to translate the transformation in the x direction. The dimension by which to translate the transformation in the y direction. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Translates the local geometric transformation of this object by the specified dimensions in the specified order.

  This method does not return a value.

  The dimension by which to translate the transformation in the x direction. The dimension by which to translate the transformation in the y direction. The order (prepend or append) in which to apply the translation. 1.0.5000.0 2.0.0.0
- Property
  System.Drawing.Drawing2D.WrapMode To be added: an object of type 'Drawing2D.WrapMode' To be added

  Gets or sets a enumeration that indicates the wrap mode for this object.

  1.0.5000.0
  2.0.0.0